/*
 * Copyright (C) 2010  Peter Bailis <pbailis@eecs.harvard.edu>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "Settings.h"
#include "FlowerLocator.h"

#define DANCE_INTERNALINFO 0
#define DANCE_INFO 1
#define DANCE_SCOUT 2
#define NODANCE 3

extern Settings *runSettings;
extern bool doLog;
extern bool doLogKnownFlowers;
extern unsigned worldSize;
extern unsigned totalForageTrips;
extern unsigned unsuccessfulHeadings;
extern unsigned successfulReturnHigh;
extern unsigned successfulReturnLo;
extern unsigned unsuccessfulReturns;
extern float maxDistance;
extern FlowerLocator *flowerLocations;
